import request from '@/utils/request'

// 查询聊天记录过滤列表
export function listUserChatFilter(query) {
  return request({
    url: '/xq/userChatFilter/list',
    method: 'get',
    params: query
  })
}

// 查询聊天记录过滤详细
export function getUserChatFilter(id) {
  return request({
    url: '/xq/userChatFilter/' + id,
    method: 'get'
  })
}

// 新增聊天记录过滤
export function addUserChatFilter(data) {
  return request({
    url: '/xq/userChatFilter',
    method: 'post',
    data: data
  })
}

// 修改聊天记录过滤
export function updateUserChatFilter(data) {
  return request({
    url: '/xq/userChatFilter',
    method: 'put',
    data: data
  })
}

// 删除聊天记录过滤
export function delUserChatFilter(id) {
  return request({
    url: '/xq/userChatFilter/' + id,
    method: 'delete'
  })
}
